drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yash Sharma (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DRILL-3502) JDBC driver can cause conflicts
Date Sat, 25 Jul 2015 20:10:04 GMT

    [ https://issues.apache.org/jira/browse/DRILL-3502?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14641774#comment-14641774
] 

Yash Sharma commented on DRILL-3502:
------------------------------------

I am facing similar issue while integrating with Lens for asm jar. Could we also shade org.objectweb.asm.tree
as part of this activity ?

> JDBC driver can cause conflicts
> -------------------------------
>
>                 Key: DRILL-3502
>                 URL: https://issues.apache.org/jira/browse/DRILL-3502
>             Project: Apache Drill
>          Issue Type: Bug
>          Components: Client - JDBC
>    Affects Versions: 1.1.0
>            Reporter: Stefán Baxter
>            Assignee: Daniel Barclay (Drill)
>
> Using the JDBC driver in Java projects is problematic as it contains older versions of
some popular libraries and since they are not isolated/shaded they may conflict with newer
versions being used in these projects.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message